`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// 2017
//////////////////////////////////////////////////////////////////////////////////

module VGAColourBars(
    input clk,
    input rst,
    input wire [10:0] row, col,
    output reg [3:0] red, green, blue );

reg [2:0] bar;

always@ (posedge clk, posedge rst)
    if (rst) begin
        bar   <= 3'd0;

        red   <= 4'd0;
        green <= 4'd0;
        blue  <= 4'd0;

    end else begin
        if (col < 80)
            bar = 0;
        else if (col < 160)
            bar = 1;
        else if (col < 240)
            bar = 2;
        else if (col < 320)
            bar = 3;
        else if (col < 400)
            bar = 4;
        else if (col < 480)
            bar = 5;
        else if (col < 560)
            bar = 6;
        else 
            bar = 7;

        blue  <= (bar & 1) ? 4'hF : 4'h0;
        green <= (bar & 2) ? 4'hF : 4'h0;
        red   <= (bar & 4) ? 4'hF : 4'h0;
    end

endmodule
